'use strict';

const Gtk = imports.gi.Gtk;

const ExtensionUtils = imports.misc.extensionUtils;

const SCHEMA_NAME = 'org.gnome.shell.extensions.end-session-timer';

function init() {
}

function buildPrefsWidget() {
    let widget = new PrefsWidget();
    return widget.widget;
}

class PrefsWidget {
    constructor() {
        this.gsettings = ExtensionUtils.getSettings(SCHEMA_NAME);

        this.widget = new Gtk.Box({
            orientation: Gtk.Orientation.VERTICAL,
            margin_top: 10,
            margin_bottom: 10,
            margin_start: 10,
            margin_end: 10,
        });

        this.vbox = new Gtk.Box({
            orientation: Gtk.Orientation.VERTICAL,
            margin_top: 0,
            hexpand: true,
        });
        
        this.vbox.append(this.adjustTimer());
        this.widget.append(this.vbox);
    }

        adjustTimer() {
        let hbox = new Gtk.Box({ orientation: Gtk.Orientation.HORIZONTAL, margin_top: 5 });
        let timeout_label = new Gtk.Label({ label: "Adjust Timer", xalign: 0, hexpand: true });

        let setTimeOut = new Gtk.SpinButton();
	setTimeOut.set_range(5,60);
	setTimeOut.set_value(this.gsettings.get_int('time-out'));
	setTimeOut.set_increments(5, 10);
	setTimeOut.connect('value-changed', (entry) => { this.gsettings.set_int('time-out', entry.get_value()); });

	hbox.append(timeout_label);
	hbox.append(setTimeOut);

        return hbox;
    }
}
